abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
15.6. 22:44 | Zajímavý článek

Na blogu projektu NeoPG (GitHub), kryptografického softwaru vycházejícího z GnuPG, byly zveřejněny 4 příspěvky detailně popisující aktuální bezpečnostní problémy v GnuPG a souvisejících softwarových produktech. V prvním příspěvku je ukázáno, že je možné vytvořit zprávu, o které budou Earlybird, Evolution, Mutt nebo Outlook tvrdit, že jí dešifrovali a přitom ale zpráva vůbec zašifrována nebyla. V druhém příspěvku je popsána

… více »
Ladislav Hagara | Komentářů: 5
15.6. 13:00 | Komunita

GamingOnLinux informuje, že počítačová hra Track Mania Nations Forever (Steam, Wikipedie) pro Windows je nově dostupná také jako snap. Stejně jako v případě winepaku a Flatpaku se k běhu hry používá překladová vrstva Wine.

Ladislav Hagara | Komentářů: 12
14.6. 15:12 | Komunita

Tradiční setkání příznivců operačního systému Linux pod názvem Linux párty Teplice se bude konat v pátek 15. 6. 2018 v Hospůdce u černé Kočky od 18:00 hodin. Setkají se zde pamětníci příkazové řádky, vítáni jsou však i začínající uživatelé.

František Bublík | Komentářů: 12
14.6. 14:00 | Bezpečnostní upozornění

Intel potvrdil (INTEL-SA-00145) další bezpečnostní chybu ve svých procesorech. Jedná se o chybu CVE-2018-3665 s názvem LazyFP.

Ladislav Hagara | Komentářů: 12
14.6. 11:00 | Nová verze

Spolek OpenAlt zve příznivce otevřených řešení a přístupu na 153. brněnský sraz, který proběhne v pátek 15. června od 18:00 v restauraci U OSLŮ na ulici Sokolská 361/10. Pro zájemce proběhne krátké promítání z výletu do Černobylu.

Ladislav Hagara | Komentářů: 0
13.6. 19:58 | Upozornění

Server lupa.cz rozebírá připravovanou reformu copyrightu v EU a dopad jejího článku 13, který dává internetovým platformám povinnost řešit autorské právo za vlastníky práv, což by v podstatě vedlo k automatizované cenzuře a konci internetu tak, jak ho známe dnes. Podobně v otevřeném dopise varují Vint Cerf, Tim Berners-Lee a jiní odborníci, Cory Doctorow upozorňuje na důsledky pro Wikipedii, nebo github na sdílení kódu.

marbu | Komentářů: 91
12.6. 16:00 | Nová verze

Bylo oznámeno vydání verze 5.13 prostředí KDE Plasma. Přehled nových vlastností i s náhledy v poznámkách k vydání. Videoukázka na YouTube.

Ladislav Hagara | Komentářů: 92
12.6. 11:11 | Zajímavý software

Byla vydána verze 1.8.0 svobodného softwaru Dilay pro 3D modelování technikou digitálního sochání (digital sculpting). Zdrojové kódy jsou k dispozici na GitHubu pod licencí GPLv3. K dispozici je balíček (19,6 MB) ve formátu AppImage. Stačí nastavit právo na spouštění a spustit.

Ladislav Hagara | Komentářů: 10
11.6. 16:55 | Zajímavý projekt

MojeFedora.cz představuje repozitář Flatpaku winepak, který si dává za cíl přinášet do Linuxu aplikace pro Windows v podobě Flatpaku. K běhu aplikací se používá překladová vrstva Wine.

Ladislav Hagara | Komentářů: 27
11.6. 16:33 | Komunita

V rámci letních slev na GOG.com lze do středy 13. června do 15:00 získat počítačovou hru Ziggurat (Wikipedie) běžící také na Linuxu zdarma a bez DRM.

Ladislav Hagara | Komentářů: 0
Jak čtete delší texty z webových stránek?
 (78%)
 (23%)
 (4%)
 (7%)
 (3%)
 (11%)
Celkem 194 hlasů
 Komentářů: 33, poslední včera 23:59
    Rozcestník

    Dotaz: pdf davkove cislovani stranek

    26.5.2009 13:56 lada
    pdf davkove cislovani stranek
    Přečteno: 1153×
    Zdravicko
    chtel bych se zeptat jestli nekdo nevite o moznosti hromadneho zpracovani pdf, jmenovite potrebuju tak to 200 souboru pridat cisla stranek. Nebo neco na spojeni tech souboru do jednoho dokumentu s tim, ze se v nem vygeneruji prubezne cisla stranek.
    Jakykoli napad je vitan.

    Diky Lada.

    Odpovědi

    26.5.2009 14:34 l4m4
    Rozbalit Rozbalit vše Re: pdf davkove cislovani stranek
    Nedávno jsem řešil rozložení spousty PDF souborů na stránky a vložení do TeXu. K rozložení lze použít následující skript (fixbb lze najít googlem, ale spíš asi budeš chtít tento krok vynechat a ponechat původní bounding boxy):
    if test $# != 2; then
      echo "Usage: $0 FILE.pdf PAGENO"
      exit 0
    fi
    
    # Try to find fixbb which can be in some obscure place, like this script.
    FIXBB=$(which fixbb 2>/dev/null)
    if test -z "$FIXBB"; then
      FIXBB=$(dirname $0)/fixbb
    fi
    if test ! -x "$FIXBB"; then
      echo "Cannot find fixbb!" 1>&2
      exit 1
    fi
    
    # Check number of pages (and thus sanity of $pageno)
    inputfile="$1"
    pageno="$2"
    npages=$(pdfinfo "$inputfile" | sed -n '/^Pages:/{s/[^0-9]//g;p;Q}')
    
    if test "$pageno" -gt $npages -o "$pageno" -lt 1; then
      echo "Invalid page number $pageno, file $inputfile has pages 1-$npages!" 1>&2
      exit 1
    fi
    
    # Process
    basename="${inputfile%.pdf}"
    outname="$basename-page_$pageno"
    tmpfile="$outname.tmp.pdf"
    
    function cleanup() { rm -f "$tmpfile"; }
    trap cleanup EXIT
    
    pdftops -eps -f $pageno -l $pageno "$inputfile" - \
      | grep -v "Produced by xpdf/pdftops" >"$outname.eps"
    $FIXBB "$outname.eps"
    ps2pdf "$outname.eps" "$tmpfile"
    pdfcrop "$tmpfile" "$outname.pdf"
    
    Vložení jednotlivých extrahovaných stran přes celou stránku v je už pdfTeXu snadné -- a strany očísluje TeX.
    26.5.2009 14:56 nejsem | skóre: 14 | blog: nejsem
    Rozbalit Rozbalit vše Re: pdf davkove cislovani stranek

    jedine, co me napada, je preexportovani do rastrove grafiky a zpet.

    tzn. vyexportovat stranky do jednotlivych obrazku a potom pomoci imagemagicku pridat cislovani + znovu exportovat do PDFka (to by skriptem taky nemel byt problem).  mozna imagemagick umi nac

    vyexportovani do rastru:

    convert soubor.pdf vysledek.png

    bude mit za nasledek soubory vysledek-0.png vysledek-1.png...

    vyexportovani do PDF:

    convert soubor*.png vysledek.pdf

    udela soubor PDF, kde budou stranky razene tak, jak jsou sazene od bashe.

     

    zbytek je uz jenom otazka jednoducheho shell skriptu...

    nerikam, ze nejake zpracovani primo v PDF neni - jen jsem ho nikdy nehledal a tohle je prvni, co me napadlo.

    ------------------------------- A vy snad těm počítačům věříte?
    26.5.2009 15:02 ..,
    Rozbalit Rozbalit vše Re: pdf davkove cislovani stranek

    Můžeš využít pdftk . Funkce burst a background, případně stamp. Rozlož dokument na jednotlivé stránky. Číslování si připrav v jiném programu, vytiskni si pdf s tím číslováním. Rozlož ho a pak to dej všechno dohromady.

    26.5.2009 22:54 lada
    Rozbalit Rozbalit vše Re: pdf davkove cislovani stranek
    Diky vam vsem za nakopnuti. Ted uz to nejak dam do hromady.
    27.5.2009 08:39 Vojtěch Horký | skóre: 39 | blog: Vojtův zápisník | Praha
    Rozbalit Rozbalit vše Re: pdf davkove cislovani stranek
    Ted uz to nejak dam do hromady.
    Jestli to budete nakonec řešit nějakým skriptem, vložte ho pak sem, prosím. Díky
    I am always ready to learn although I do not always like to be taught. (W. Churchill)

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.